#include <stdio.h>

int main(){
	
	int n,m, i, i1;
	
	scanf("%d %d", &n, &m);
	int n1[n][m];
	for(i = 0; i<n; i++){
		for(i1 = 0; i1<m; i1++){
		
		scanf("%d", &n1[i][i1]);
	}
	}
	
	printf("1");
	
	return 0;
}